require 'api-resource'
require_relative 'affiliation-api-resource/resource'
autoload :Category, 'affiliation-api-resource/category'
autoload :Merchant, 'affiliation-api-resource/merchant'
autoload :Ad, 'affiliation-api-resource/ad'
autoload :Offer, 'affiliation-api-resource/offer'

module AffiliationApiResource
  def self.setup(api_key, api_secret, api_endpoint='https://affiliation.api.wizypay.com')
    AffiliationApiResource::Resource::base_url = api_endpoint
    AffiliationApiResource::Resource::with_hmac(api_key, api_secret)
  end
end